=== debian/changelog ===
flashcache (1.0+git20121114-1) unstable; urgency=low

  * New upstream release

 -- Liang Guo <guoliang@debian.org>  Sun, 13 Jan 2013 22:40:12 +0800

flashcache (1.0+git20121013-1) unstable; urgency=low

  * Initial release (Closes: #635504).

 -- Liang Guo <guoliang@debian.org>  Sat, 13 Oct 2012 14:11:35 +0800
