=== debian/control ===
Source: flashcache
Section: kernel
Priority: optional
Maintainer: Liang Guo <guoliang@debian.org>
Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
Build-Depends: debhelper (>= 9), dkms, pandoc
Standards-Version: 3.9.3
Homepage: https://github.com/facebook/flashcache
VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git;a=summary
VCS-Git: git://git.debian.org/git/collab-maint/flashcache.git

Package: flashcache-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Description: write-back block device cache for Linux (DKMS version)
 Flashcache is a write-back block device cache for Linux. Using the Linux
 device mapper (DM) it provides an overlay mapper, to cache chunks of
 data on a high speed caching device like a solid-state drive for fast
 read access.
 .
 Flashcache supports FIFO and LRU cache sets, is configurable and error
 resistant. It comes with a DKMS kernel module and a corresponding user
 land for command and control. Alternatively it can be configured as
 write-through and write-around flash cache, which does not store any
 persitent data in the flash volume, hence purging the cache upon reboot.
 .
 This package provides the DKMS kernel module.
 .
 Warning: Flashcache is known not to work on the i686 (x86_32) architecture and
 possibly others.


Package: flashcache-utils
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
  flashcache-dkms (= ${source:Version}), lsb-base (>= 3.2-14), module-init-tools, dmsetup
Recommends: udev, bsdutils (>= 1:2.17.2)
Section: utils
Description: write-back block device cache for Linux (user space utilities)
 Flashcache is a write-back block device cache for Linux. Using the Linux
 device mapper (DM) it provides an overlay mapper, to cache chunks of
 data on a high speed caching device like a solid-state drive for fast
 read access.
 .
 Flashcache supports FIFO and LRU cache sets, is configurable and error
 resistant. It comes with a DKMS kernel module and a corresponding user
 land for command and control.
 .
 This package provides user space utilities, required to control the kernel
 module.
