=== debian/changelog ===
flashcache (1.0+git20130722-1) unstable; urgency=low

  * New upstream release (Closes: #714633)
  * Bump Standards-Version to 3.9.4 (no changes)
  * Update VCS-* to use canonical URIs
  * Remove unused manpage lintian overrides
  
 -- Liang Guo <guoliang@debian.org>  Mon, 22 Jul 2013 13:39:52 +0800
  

flashcache (1.0+git20130518-1) unstable; urgency=low

  * New upstream release, (LP: #1181131)

 -- Liang Guo <guoliang@debian.org>  Sat, 18 May 2013 16:35:48 +0800
