=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Liang Guo <guoliang@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
 Build-Depends: debhelper (>= 9), dkms, pandoc
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: https://github.com/facebook/flashcache
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git;a=summary
-VCS-Git: git://git.debian.org/git/collab-maint/flashcache.git
+VCS-Browser: http://anonscm.debian.org/git/collab-maint/flashcache.git
+VCS-Git: git://anonscm.debian.org/collab-maint/flashcache.git
 
 Package: flashcache-dkms
 Architecture: all
