=== debian/changelog ===
flashcache (3.1.1+git20131019-1) unstable; urgency=low

  * New upstream release
  * Refresh usable-makefile.patch
  * Build-Depends on pandoc-data, since some pandoc 
    template data split to it. (Closes: #724092)

 -- Liang Guo <guoliang@debian.org>  Sat, 19 Oct 2013 20:51:14 +0800
