=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Liang Guo <guoliang@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
-Build-Depends: debhelper (>= 9), dkms, pandoc
+Build-Depends: debhelper (>= 9), dkms, pandoc, pandoc-data
 Standards-Version: 3.9.4
 Homepage: https://github.com/facebook/flashcache
 VCS-Browser: http://anonscm.debian.org/git/collab-maint/flashcache.git
