=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 export DH_VERBOSE=1
 
 MODULE_NAME := flashcache
-VERSION := $(shell echo "1.0+git`date +%Y%m%d`")
+VERSION := $(shell echo "3.1.1+git`date +%Y%m%d`")
 DKMS_DIR := debian/tmp/usr/src/flashcache-$(VERSION)/
 MANPAGES := $(patsubst debian/%.markdown, debian/%.8, $(wildcard debian/*.markdown))
 HLP_FILES := $(patsubst %.in, %, $(wildcard debian/*.in))
