## flashcache 3.1.2+git20140801

=== debian/changelog ===
flashcache (3.1.2+git20140801-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 3.9.5

 -- Liang Guo <guoliang@debian.org>  Fri, 01 Aug 2014 10:44:33 +0800
