=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: kernel
 Priority: optional
 Maintainer: Liang Guo <guoliang@debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@member.fsf.org>
 Build-Depends: debhelper (>= 9), dkms, pandoc, pandoc-data
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/facebook/flashcache
-VCS-Browser: http://anonscm.debian.org/git/collab-maint/flashcache.git
-VCS-Git: git://anonscm.debian.org/collab-maint/flashcache.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/flashcache.git
 
 Package: flashcache-dkms
 Architecture: all
