## flashcache 3.1.3+git20150513

=== debian/changelog ===
flashcache (3.1.3+git20150513-1ubuntu1) wily; urgency=medium

  * Add support for linux 4.2
    debian/patches/support-4.2.patch

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 07 Aug 2015 08:03:25 -0600

flashcache (3.1.3+git20150513-1) unstable; urgency=low

  * New upstream release

 -- Liang Guo <guoliang@debian.org>  Wed, 13 May 2015 13:00:42 +0800
