=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flashcache
 Section: kernel
 Priority: optional
-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
 Build-Depends: debhelper (>= 9), dkms, pandoc, pandoc-data
 Standards-Version: 3.9.5
 Homepage: https://github.com/facebook/flashcache
