=== debian/changelog ===
flashcache (3.1.3+git20150701-5) unstable; urgency=medium

  * Fix FTBFS on Linux 4.8+, Thanks to Stefan Bader (Closes: #838634)
  * Bump standards version to 3.9.8

 -- Liang Guo <guoliang@debian.org>  Sat, 03 Dec 2016 18:38:41 +0800

flashcache (3.1.3+git20150701-4) unstable; urgency=medium

  * Fix build error on Linux 4.4 (Closes: #813037)
  * Bump standards version to 3.9.7

 -- Liang Guo <guoliang@debian.org>  Fri, 08 Apr 2016 00:06:33 +0800

flashcache (3.1.3+git20150701-3) unstable; urgency=medium

  * Record bio error on linux(Closes: #812999)
  * Update debian/wath to use github tags
  * Add DEB_BUILD_MAINT_OPTIONS in debian/rules
  * Switch to secure uri in debian/control

 -- Liang Guo <guoliang@debian.org>  Fri, 12 Feb 2016 10:48:27 +0800

flashcache (3.1.3+git20150701-2) unstable; urgency=medium

  * Fix build error on linux 4.3

 -- Liang Guo <guoliang@debian.org>  Fri, 25 Dec 2015 12:07:54 +0800

flashcache (3.1.3+git20150701-1) unstable; urgency=medium

  * New upstream release
  * Switch to kmod(Closes: #733702)
  * Bump standards version to 3.9.6

 -- Liang Guo <guoliang@debian.org>  Wed, 19 Aug 2015 14:20:45 +0800
