=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: flashcache
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Liang Guo <guoliang@debian.org>
+Maintainer: Liang Guo <guoliang@debian.org>
 Build-Depends: debhelper (>= 9), dkms, pandoc, pandoc-data
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://github.com/facebook/flashcache
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/flashcache.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/flashcache.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/flashcache.git
 
 Package: flashcache-dkms
 Architecture: all
@@ -33,7 +32,7 @@
 Package: flashcache-utils
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
-  flashcache-dkms (= ${source:Version}), lsb-base (>= 3.2-14), module-init-tools, dmsetup
+  flashcache-dkms (= ${source:Version}), lsb-base (>= 3.2-14), kmod, dmsetup
 Recommends: udev, bsdutils (>= 1:2.17.2)
 Section: utils
 Description: write-back block device cache for Linux (user space utilities)
