=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,10 @@
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 MODULE_NAME := flashcache
-VERSION := $(shell echo "3.1.1+git`date +%Y%m%d`")
+VERSION := $(shell dpkg-parsechangelog  -SVersion|sed 's/-.*//')
 DKMS_DIR := debian/tmp/usr/src/flashcache-$(VERSION)/
 MANPAGES := $(patsubst debian/%.markdown, debian/%.8, $(wildcard debian/*.markdown))
 HLP_FILES := $(patsubst %.in, %, $(wildcard debian/*.in))
