=== debian/watch ===
version=3
https://github.com/facebook/flashcache/tags .*/(.*)\.tar\.gz
